/********************************************************************************/
/*                                                                              */
/*              chat_message.H                                                  */
/*                                                                              */
/*      Message definitions for the chat server                                 */
/*                                                                              */
/********************************************************************************/


#ifndef CHAT_MESSAGE_ALREADY_DEFINED
#define CHAT_MESSAGE_ALREADY_DEFINED


/********************************************************************************/
/*                                                                              */
/*      A chat message between the client and the server consists of a single   */
/*      character identifying the type of message, a space, and then the        */
/*      contents of the message. Arguments are separated by a separator.        */
/*                                                                              */
/*              SetUser :       U <user>                                        */
/*              Client  :       C <message>                                     */
/*              Server  :       S <user><sep><message>                          */
/*              NewUser :       N <user>                                        */
/*              RemoveUser :    R <user>                                        */
/*                                                                              */
/********************************************************************************/


typedef char                    ChatMsgType;



const   ChatMsgType             CHAT_MSG_SET_USER = 'U';
const   ChatMsgType             CHAT_MSG_CLIENT = 'C';

const   ChatMsgType             CHAT_MSG_SERVER = 'S';
const   ChatMsgType             CHAT_MSG_NEW_USER = 'N';
const   ChatMsgType             CHAT_MSG_REMOVE_USER = 'R';


const   char                    CHAT_MSG_SEPARATOR = '\200';
const   int                     CHAT_MSG_MAX_ARGS = 3;


#endif


/* end of chat_message.H */
