/********************************************************************************/
/*                                                                              */
/*              connect.H                                                       */
/*                                                                              */
/*      Message-based connections                                               */
/*                                                                              */
/********************************************************************************/


#ifndef CONNECT_ALREADY_INCLUDED
#define CONNECT_ALREADY_INCLUDED


#include <X11/Intrinsic.h>



/********************************************************************************/
/*                                                                              */
/*      Forward Type Definitions                                                */
/*                                                                              */
/********************************************************************************/


typedef class ConnectInfo *             Connect;
typedef class ConnectSocketInfo *       ConnectSocket;          // private type



/********************************************************************************/
/*                                                                              */
/*      ConnectInfo -- message based connection                                 */
/*                                                                              */
/********************************************************************************/


class ConnectInfo {

private:
   ConnectSocket conn_socket;

public:
   ConnectInfo();
   virtual ~ConnectInfo();

   static XtAppContext setX11Context(XtAppContext ctx = NULL);

   int openServer(const char * file);
   int openClient(const char * file);
   int openAccept(Connect);
   void close();

   void sendMessage(int len,const void * msg);
   void sendMessage(const char * msg)
      { sendMessage(strlen(msg)+1,(void *) msg); }

public:
   virtual void acceptCallback();
   virtual void closeCallback();
   virtual void messageCallback(int len,void * msg);
};



#endif


/* end of connect.H */
