/********************************************************************************/
/*                                                                              */
/*              connect_local.H                                                 */
/*                                                                              */
/*      Local definitions for the message-based connection interface            */
/*                                                                              */
/********************************************************************************/


#ifndef CONNECT_LOCAL_ALREADY_INCLUDED
#define CONNECT_LOCAL_ALREADY_INCLUDED


#include "connect.H"
#include "simple_socket.H"
#include "stddef.H"


/********************************************************************************/
/*                                                                              */
/*      Type Definitions                                                        */
/*                                                                              */
/********************************************************************************/


typedef long                    ConnectMsgLen;


/********************************************************************************/
/*                                                                              */
/*      ConnectSocketInfo -- our socket                                         */
/*                                                                              */
/********************************************************************************/


class ConnectSocketInfo : public SimpleSocketInfo {

private:
   Connect for_connect;

public:
   ConnectSocketInfo(Connect);
   ~ConnectSocketInfo();

private:
   void onAccept();
   void onClose();
   void onReceive();
};



#endif


/* end of connect_local.H */
